udftools

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
cdrom_inquiry Struct Reference

`#include <ide-pc.h>`

Collaboration diagram for cdrom_inquiry:

## Public Attributes
u_char | type: 5
u_char | qualifier: 3
u_char | type_modifier: 7
u_char | removable: 1
u_char | ansi_version: 3
u_char | ecma_version: 3
u_char | iso_version: 2
u_char | data_format: 4
u_char | res3_54: 2
u_char | termiop: 1
u_char | aenc: 1
u_char | add_len: 8
u_char | sense_len: 8
u_char | res2: 8
u_char | softreset: 1
u_char | cmdque: 1
u_char | res7_2: 1
u_char | linked: 1
u_char | sync: 1
u_char | wbus16: 1
u_char | wbus32: 1
u_char | reladr: 1
char | vendor_info [8]
char | prod_ident [16]
char | prod_revision [4]
char | vendor_uniq [20]
char | reserved [40]

## Detailed Description

Definition at line 24 of file ide-pc.h.

## Member Data Documentation

u_char cdrom_inquiry::add_len

Definition at line 42 of file ide-pc.h.

u_char cdrom_inquiry::aenc

Definition at line 40 of file ide-pc.h.

u_char cdrom_inquiry::ansi_version

Definition at line 33 of file ide-pc.h.

u_char cdrom_inquiry::cmdque

Definition at line 47 of file ide-pc.h.

u_char cdrom_inquiry::data_format

Definition at line 37 of file ide-pc.h.

u_char cdrom_inquiry::ecma_version

Definition at line 34 of file ide-pc.h.

u_char cdrom_inquiry::iso_version

Definition at line 35 of file ide-pc.h.

u_char cdrom_inquiry::linked

Definition at line 49 of file ide-pc.h.

char cdrom_inquiry::prod_ident[16]

Definition at line 56 of file ide-pc.h.

char cdrom_inquiry::prod_revision[4]

Definition at line 57 of file ide-pc.h.

u_char cdrom_inquiry::qualifier

Definition at line 28 of file ide-pc.h.

u_char cdrom_inquiry::reladr

Definition at line 53 of file ide-pc.h.

u_char cdrom_inquiry::removable

Definition at line 31 of file ide-pc.h.

u_char cdrom_inquiry::res2

Definition at line 44 of file ide-pc.h.

u_char cdrom_inquiry::res3_54

Definition at line 38 of file ide-pc.h.

u_char cdrom_inquiry::res7_2

Definition at line 48 of file ide-pc.h.

char cdrom_inquiry::reserved[40]

Definition at line 59 of file ide-pc.h.

u_char cdrom_inquiry::sense_len

Definition at line 43 of file ide-pc.h.

u_char cdrom_inquiry::softreset

Definition at line 46 of file ide-pc.h.

u_char cdrom_inquiry::sync

Definition at line 50 of file ide-pc.h.

u_char cdrom_inquiry::termiop

Definition at line 39 of file ide-pc.h.

u_char cdrom_inquiry::type

Definition at line 25 of file ide-pc.h.

u_char cdrom_inquiry::type_modifier

Definition at line 30 of file ide-pc.h.

char cdrom_inquiry::vendor_info[8]

Definition at line 55 of file ide-pc.h.

char cdrom_inquiry::vendor_uniq[20]

Definition at line 58 of file ide-pc.h.

u_char cdrom_inquiry::wbus16

Definition at line 51 of file ide-pc.h.

u_char cdrom_inquiry::wbus32

Definition at line 52 of file ide-pc.h.

The documentation for this struct was generated from the following file:

- wrudf/ide-pc.h